# OpenML dataset: labor

https://www.openml.org/d/4

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: Unknown
**Source**: Collective Barganing Review, Labour Canada
**Please cite**: https://archive.ics.uci.edu/ml/citation_policy.html

Date: Tue, 15 Nov 88 15:44:08 EST
 From: stan <stan@csi2.UofO.EDU>
 To: aha@ICS.UCI.EDU
 
 1. Title: Final settlements in labor negotitions in Canadian industry
 
 2. Source Information
    -- Creators: Collective Barganing Review, montly publication,
       Labour Canada, Industrial Relations Information Service,
         Ottawa, Ontario, K1A 0J2, Canada, (819) 997-3117
         The data includes all collective agreements reached
         in the business and personal services sector for locals
         with at least 500 members (teachers, nurses, university
         staff, police, etc) in Canada in 87 and first quarter of 88.   
    -- Donor: Stan Matwin, Computer Science Dept, University of Ottawa,
                 34 Somerset East, K1N 9B4, (stan@uotcsi2.bitnet)
    -- Date: November 1988
  
 3. Past Usage:
    -- testing concept learning software, in particular
       an experimental method to learn two-tiered concept descriptions.
       The data was used to learn the description of an acceptable
       and unacceptable contract.
       The unacceptable contracts were either obtained by interviewing
       experts, or by inventing near misses.
       Examples of use are described in:
         Bergadano, F., Matwin, S., Michalski, R.,
         Zhang, J., Measuring Quality of Concept Descriptions, 
         Procs. of the 3rd European Working Sessions on Learning,
         Glasgow, October 1988.
         Bergadano, F., Matwin, S., Michalski, R., Zhang, J.,
         Representing and Acquiring Imprecise and Context-dependent
         Concepts in Knowledge-based Systems, Procs. of ISMIS'88,
         North Holland, 1988.
 4. Relevant Information:
    -- data was used to test 2tier approach with learning
 from positive and negative examples
 
 5. Number of Instances: 57 
 
 6. Number of Attributes: 16 
 
 7. Attribute Information:
    1.  dur: duration of agreement 
        [1..7]
    2   wage1.wage : wage increase in first year of contract 
        [2.0 .. 7.0]
    3   wage2.wage : wage increase in second year of contract
        [2.0 .. 7.0]
    4   wage3.wage : wage increase in third year of contract
        [2.0 .. 7.0]
    5   cola : cost of living allowance 
        [none, tcf, tc]
    6   hours.hrs : number of working hours during week
        [35 .. 40]
    7   pension : employer contributions to pension plan
        [none, ret_allw, empl_contr]
    8   stby_pay : standby pay
        [2 .. 25]
    9   shift_diff : shift differencial : supplement for work on II and III shift
        [1 .. 25]
   10   educ_allw.boolean : education allowance 
        [true false]
   11   holidays : number of statutory holidays 
        [9 .. 15]
   12   vacation : number of paid vacation days
        [ba, avg, gnr]
   13   lngtrm_disabil.boolean : 
        employer's help during employee longterm disabil
        ity [true , false]
   14   dntl_ins : employers contribution towards the dental plan
        [none, half, full]
   15   bereavement.boolean : employer's financial contribution towards the 
        covering the costs of bereavement
        [true , false]
   16   empl_hplan : employer's contribution towards the health plan
        [none, half, full]
 
 8. Missing Attribute Values: None
 
 9. Class Distribution:
 
 10. Exceptions from format instructions: no commas between attribute values.

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/4) of an [OpenML dataset](https://www.openml.org/d/4). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/4/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/4/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/4/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

